package rip.iwakura.civilcore;

import java.util.ArrayList;

import org.bukkit.Bukkit;
import org.bukkit.command.CommandSender;

import net.md_5.bungee.api.ChatColor;

public class Utils {
  private static String buffer = "";

  private static void finishBuffer(ArrayList<String> args) {
    args.add(buffer);
    buffer = "";
  }

  public static void exceptionHandler(Exception e, CommandSender sender) {
    sender.sendMessage(ChatColor.RED + "Failed to execute command: " + e.getMessage());
  }
  
  public static ArrayList<String> parser(String[] original_args) {
    ArrayList<String> args = new ArrayList<String>();

    String joined_args = String.join(" ", original_args);

    boolean inColon = false;
    char lastCharacter = ' ';

    for (int i = 0; i < joined_args.length(); i++) {
        char currentCharacter = joined_args.charAt(i);

        switch (currentCharacter) {
          case '"':
            if (!inColon) {
              inColon = true;
            } else {
              inColon = false;
              finishBuffer(args);
            }
            break;

          case ' ':
            if (!inColon && lastCharacter != '"') {
              finishBuffer(args);
              break;
            }

            if (lastCharacter != '"') buffer += " ";
            break;

          default: 
            buffer+=currentCharacter;
            if (i == joined_args.length() - 1) {
              finishBuffer(args);
            }
            break;
        }
        lastCharacter = currentCharacter;
    }
    if (inColon) return null;
    return args;
  }
}
