package rip.iwakura.civilcore.discord;

import org.bukkit.Bukkit;

import net.dv8tion.jda.api.events.message.MessageReceivedEvent;
import net.dv8tion.jda.api.hooks.ListenerAdapter;
import net.md_5.bungee.api.ChatColor;
import rip.iwakura.civilcore.CivilCore;

public class MessageReceive extends ListenerAdapter {
  private CivilCore civilCore;

  public MessageReceive (CivilCore civilCore) {
    this.civilCore = civilCore;
  }

  @Override
  public void onMessageReceived(MessageReceivedEvent e) {
    if (e.getAuthor().isBot()) return;
    if(e.getChannel().getId().equals(civilCore.bot.channelId)) Bukkit.broadcastMessage(String.format("%sDiscord%s %s: %s", ChatColor.BLUE, ChatColor.RESET, e.getAuthor().getName(), e.getMessage()));
  }
}
